//////////////////////////////
// add_par.c
// written by Michael Gibson
// released under the GPL
//////////////////////////////

#include <stdio.h>
#include <string.h>
#include <GDXlib/GDXlib.h>


void readfile(void);

 char indi_check[55];
 int indi;             //last individual number read in
 char filename[55];
 char temp[50];

 int number_of_names;
 int x; //loop var

 //for up to 99999 lines read in at the length up to 110
 char line[99999][110];

/////////////////////////////////////////////////////
///// quit app
/////////////////////////////////////////////////////
static void destroy(void)
{
    gdx_closewindow();
}


//////////////////////////////////////////////////
// main
/////////////////////////////////////////////////
int main(int argc, char **argv){

  char indi_name[95];
  int  indi_name_t;

  char indi_sex[7];
  int  indi_sex_t;

  char indi_birthdate[90];
  int  indi_birthdate_t;
  char indi_birthplace[90];
  int  indi_birthplace_t;

  char indi_deathdate[90];
  int  indi_deathdate_t;
  char indi_deathplace[90];
  int  indi_deathplace_t;


  char input1[95], input2[95];
  //int individual;
  int button_01, button_02;
  int label0,label1,label2,label3,label4,label5,label6;
  int flag1=0;
  int x=0;
  int line=5;
  int indi_found=0;

  int loopy=0;

  FILE *fp5;

  //strcpy(filename, argv[1]);

  //fp5=fopen(argv[1],"r+");


  //TODO read in all data and store.

  //TODO find next ID number
  //Pass that ID. 

  //TODO Write new indi 

  printf("Start GUI\n");

  x_open();

  /* create a new window */
  gdx_window("GEDCOM Individual",500,400);
  gdx_setwindowbg("bg.xpm",1);


  button_01 = gdx_imagebutton(5,25,"close.xpm",destroy);

  

//  label0 = gdx_label(argv[2],35,15,1);
//  gdx_setlabelbg("white.xpm",1,label0);

  printf("%s %s %s\n",argv[0],argv[1],argv[2]);

  label1 = gdx_label("Name:",35,35,0);
  gdx_setlabelbg("bg.xpm",1,label1);
  indi_name_t=gdx_textentry(125,25,200,0);

     //need sex label
  label2=gdx_label("Sex:",35,60,0);
  gdx_setlabelbg("bg.xpm",1,label2);

  label3=gdx_label("Birth Date:",35,85,0);
  gdx_setlabelbg("bg.xpm",1,label3); 
  indi_birthdate_t=gdx_textentry(125,75,100,0);
  label4=gdx_label("Birth Place:",35,110,0);
  gdx_setlabelbg("bg.xpm",1,label4);
  indi_birthplace_t=gdx_textentry(125,100,300,0);
  label5=gdx_label("Death Date:",35,135,0);
  gdx_setlabelbg("bg.xpm",1,label5); 
  indi_deathdate_t=gdx_textentry(125,125,100,0);
  label6=gdx_label("Death Place:",35,160,0);
  gdx_setlabelbg("bg.xpm",1,label6);
  indi_deathplace_t=gdx_textentry(125,150,300,0);

  gdx_main();
  x_close();

  return(0);
}


///////
// read file
////

void readfile(void)
{

  FILE *fp; 
  if((fp=fopen(filename,"r"))==NULL ){
     printf("GEDCOM list: Sorry, no file found. \n");
     exit(0);
  }
  number_of_names=-1;
  do{
    fgets(temp,80,fp);
    for(x=0;x<50;x++){
      if(temp[x]=='\r' || temp[x]=='\n'){
         temp[x]= ' ';
      }
    }
    if(temp[0]=='0' && temp[2]=='@' && temp[3]=='I'){         //Individual 0 level start of record
      temp[0]=' ';
      for(x=0;x<80;x++){
        if(temp[x]=='@' || temp[x]=='I') temp[x]=' ';
      }
      indi=atoi(temp);
      number_of_names++;
    } //end if
  }while (temp[0] != '0' && temp[2] != 'T' && temp[3] != 'R'); //end do
}
